View Single Post
  #3 (permalink)  
Old February 22nd, 2006
tomk's Avatar
tomk tomk is offline
Apprentice
 
Join Date: February 22nd, 2006
Location: Ireland
Posts: 7
tomk is flying high
Default

I'm using the FrostWire-4.10.9-1.tar.gz tarball on Arch Linux, and as I mentioned, there is no difference between the two scripts to the human eye. If I diff them, I get this:

Code:
--- /home/tomk/runFrost5.sh     2006-02-22 10:34:46.000000000 +0000
+++ runFrost.sh 2006-02-20 09:07:38.000000000 +0000
@@ -1,119 +1,119 @@
-#!/bin/sh
-#
-# Runs LimeWire.  This script must be executed in your LimeWire
-# install directory.
-    
-# this should allow starting limewire from
-# gui-based explorer interfaces
-cd "`dirname "$0"`"
-
-<snip>Every line of original script</snip>
-
-if [ $? -ne 0 ]; then
-    echo
-    echo "******************************************************************"
-    echo "Something went wrong with FrostWire."
-    echo "Maybe you're using the wrong version of Java?"
-    echo "(LimeWire is tested against and works best with with Sun's JRE, Java 1.4+)"
-    echo "The version of Java in your PATH is:"
-    java -version
-    echo
-fi
+#!/bin/sh
+#
+# Runs LimeWire.  This script must be executed in your LimeWire
+# install directory.
+
+# this should allow starting limewire from
+# gui-based explorer interfaces
+cd "`dirname "$0"`"
+
+<snip>Every line of new script</snip>
+
+if [ $? -ne 0 ]; then
+    echo
+    echo "******************************************************************"
+    echo "Something went wrong with FrostWire."
+    echo "Maybe you're using the wrong version of Java?"
+    echo "(LimeWire is tested against and works best with with Sun's JRE, Java 1.4+)"
+    echo "The version of Java in your PATH is:"
+    java -version
+    echo
+fi
In other words, the system sees every line of the new script as a change from the original script, even though you or I don't.
Reply With Quote